Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview
Class OutlineNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.sun.pdfview.OutlineNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class OutlineNode

extends javax.swing.tree.DefaultMutableTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`OutlineNode(java.lang.String title)` Create a new outline node

Method Summary
`PDFAction` | `getAction()` Get the PDF action associated with this node
`void` | `setAction(PDFAction action)` Set the PDF action associated with this node
`java.lang.String` | `toString()` Return the node's visible name in the tree

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutlineNode

    public OutlineNode(java.lang.String title)

  Create a new outline node

  Parameters:
    `title` - the node's visible name in the tree

Method Detail

### getAction

    public PDFAction getAction()

  Get the PDF action associated with this node

### setAction

    public void setAction(PDFAction action)

  Set the PDF action associated with this node

### toString

    public java.lang.String toString()

  Return the node's visible name in the tree

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD